
#include "Arduino.h"
#include "DigitalPin.h"

DigitalPin::DigitalPin(int pinA, int pinC, int delay)
{
  _pinA = pinA;
  _pinC = pinC;
  _delay = delay;
}

void DigitalPin::begin()
{
  pinMode(_pinA, OUTPUT);
  pinMode(_pinC, OUTPUT);
}

void DigitalPin::on()
{
  digitalWrite(_pinA, HIGH);
  digitalWrite(_pinC, HIGH);
  _status=1;
}

void DigitalPin::off()
{
  digitalWrite(_pinA, LOW);
  digitalWrite(_pinC, LOW);
  _status=0;
}

void DigitalPin::pulse()
{
  digitalWrite(_pinA, HIGH);
  digitalWrite(_pinC, HIGH);
  delay(_delay);
  digitalWrite(_pinA, LOW);
  digitalWrite(_pinC, LOW);
}

bool DigitalPin::status()
{
  return _status;
}
